Delete Chat Thread - Delete Chat Thread
스레드를 삭제합니다.
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
삭제할 스레드 ID입니다. |
|
endpoint
|
path | True |
string |
Azure Communication 리소스의 엔드포인트입니다. |
|
api-version
|
query | True |
string |
호출할 API의 버전입니다. |
요청 헤더
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| Authorization | True |
string |
ACS(Azure Communication Services) 사용자 액세스 토큰입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 204 No Content |
요청이 성공했습니다. |
|
| 401 Unauthorized |
무단 |
|
| 403 Forbidden |
금지된 |
|
| 429 Too Many Requests |
요청이 너무 많음 |
|
| Other Status Codes |
서비스를 사용할 수 없음 |
보안
Authorization
ACS(Azure Communication Services) 사용자 액세스 토큰입니다.
형식:
apiKey
In(다음 안에):
header
예제
Delete chat thread
샘플 요청
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
샘플 응답
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
정의
Error
| Name | 형식 | Description |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |